Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
[Java] Class GroovyForkOptions

    java.lang.Object
      org.gradle.api.tasks.compile.AbstractOptions
          org.gradle.api.tasks.compile.BaseForkOptions
              org.gradle.api.tasks.compile.GroovyForkOptions

    public class GroovyForkOptions
    extends BaseForkOptions

Fork options for Groovy compilation. Only take effect if `GroovyCompileOptions.fork` is `true`.

Method Summary

Methods inherited from class BaseForkOptions
excludeFromAntProperties, getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize

Methods inherited from class AbstractOptions
define, excludeFromAntProperties, getAntPropertyName, getAntPropertyValue, optionMap

Gradle API 1.10